using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AttackTrigger : MonoBehaviour
{
    public int dmg = 1;
    public List<int> HittedObjects = new List<int>();

    public void EnableTrigger()
    {
        HittedObjects = new List<int>();
        HittedObjects.Clear();

        enabled = true;
        GetComponent<Collider2D>().enabled = true;
    }

    public void DisableTrigger() {
        enabled = false;
        GetComponent<Collider2D>().enabled = false;
    }

    void OnTriggerEnter2D(Collider2D col)
    {
        HealthManager hm = col.GetComponent<HealthManager>();
        if (hm != null && !col.CompareTag("Player") && !HittedObjects.Contains(col.gameObject.GetInstanceID()))
        {
            HittedObjects.Add(col.gameObject.GetInstanceID());
            hm.TakeDamage(dmg);
        }
    }
}
