using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Bullet : MonoBehaviour
{
    public float speed = 20f;
    public int damage = 40;
    public Rigidbody2D rb;
    public GameObject impactEffect;
    public float disposeTime = 0.2f;

    public int shotDmg = 1;
    private Player player;
    public float knockDuration = 0.01f;
    public float knockPower = 200;

    public AudioClip onCreatedAudio;
    AudioSource AudioSource;


    void Start()
    {
        rb.velocity = transform.right * speed;
        AudioSource = GetComponent<AudioSource>();
        player = GameObject.FindGameObjectWithTag("Player").GetComponent<Player>();

        if(AudioSource && onCreatedAudio)
        {
            AudioSource.PlayOneShot(onCreatedAudio);
        }
    }

    void OnTriggerEnter2D (Collider2D hitInfo)
    {
        HealthManager enemy = hitInfo.GetComponent<HealthManager>();

        if (enemy != null)
        {
            enemy.TakeDamage(damage);
           
        }
        if (hitInfo.CompareTag("Player"))
        {

            player.knockbackCount = player.knockbackLength;

            HealthManager hm = hitInfo.gameObject.GetComponent<HealthManager>();
            hm.TakeDamage(shotDmg);
        }

        GameObject Effect = Instantiate(impactEffect, transform.position, transform.rotation);
        Destroy(gameObject);
        Destroy(Effect, disposeTime);
    }
    
    
}
