using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EnemyShoot : MonoBehaviour
{
    public Transform firePoint;
    public GameObject bulletPrefab;
    public Animator animator;
    [SerializeField]
    private float shotCD = 1f;
    float timeElapsed = 0;
    private bool isShooting = false;

    AudioSource audioSource;
    public AudioClip shootAudio;

    private void Start()
    {
        audioSource = GetComponent<AudioSource>();
        
        timeElapsed = shotCD;
    }
    void Update()
    {
        timeElapsed += Time.deltaTime;
        if (timeElapsed > shotCD)
        {
            isShooting = true;
            if(audioSource && shootAudio)
            {
                audioSource.PlayOneShot(shootAudio);
            }

            Instantiate(bulletPrefab, firePoint.position, firePoint.rotation);
            timeElapsed = 0;
        }
        else
        {
            isShooting = false;
        }
        animator.SetBool("IsShooting", isShooting);
    }
    



}
