using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EnemySpider : MonoBehaviour
{
    public int health = 10;
    public GameObject deathEffect;
    public GameObject impactEffect;
    public float disposeTime = 0.2f;
    Rigidbody2D rb;

    public int colDmg = 1;
    public int knockbackAmount = 10;

    void Start()
    {
        rb = GetComponent<Rigidbody2D>();
    }
    public void TakeDamage(int damage)
    {
        health -= damage;
        gameObject.GetComponent<Animation>().Play("Golem_RedFlash");
        if (health <= 0)
        {
            Die();
        }
    }
    void Die()
    {
        GameObject Effect = Instantiate(deathEffect, transform.position, Quaternion.identity);
        Destroy(gameObject);
        Destroy(Effect, disposeTime);
    }
    


    //___


    void OnTriggerEnter2D(Collider2D col)
    {
        if (col.CompareTag("Player"))
        {
            HealthManager hm = col.gameObject.GetComponent<HealthManager>();

            hm.TakeDamage(colDmg);

            if (hm.transform.position.x < transform.position.x)
            {
                hm.KnockBack(new Vector2(-knockbackAmount, knockbackAmount));
            }
            else
            {
                hm.KnockBack(new Vector2(-knockbackAmount, knockbackAmount));
            }
        }

    }
}
