using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class GradualSpeedPlatform : MonoBehaviour
{
    public Transform pos1, pos2;
    public float speed;
    public Transform startPos;
    public float acceleration = 1.0f;
    public float maxSpeed = 60.0f;
    private Player player;
    private float curSpeed = 0.0f;
    public string level;
    public float disposeTime;
    public GameObject deathEffect;

    Vector3 nextPos;
    void Start()
    {
        nextPos = startPos.position;
        player = GameObject.FindGameObjectWithTag("Player").GetComponent<Player>();
       
    }

 
    void Update()
    {

        

        curSpeed += acceleration * Time.deltaTime;

        if (curSpeed > maxSpeed)
            curSpeed = maxSpeed;

        if (transform.position== pos1.position)
        {
            nextPos = pos2.position;
        }
        if(transform.position== pos2.position)
        {
            nextPos = pos1.position;
        }
        transform.position = Vector3.MoveTowards(transform.position, nextPos, curSpeed * Time.deltaTime);
        
        
    }
    private void OnDrawGizmos()
    {
        Gizmos.DrawLine(pos1.position, pos2.position);
    }

    IEnumerator LoadLevel(float loadDelay, string levelName)
    {
        yield return new WaitForSeconds(loadDelay);
        SceneManager.LoadScene(levelName, LoadSceneMode.Single);
    }


    void OnTriggerEnter2D(Collider2D col)
    {
        if (col.CompareTag("Player"))
        {
            player.AddScore(-100);
            StartCoroutine(LoadLevel(0f,level));
          
            


        }
    }
}
