using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class HealthWidget : MonoBehaviour
{
    

    public Sprite EmptyHearth;
    public Sprite HalfHearth;
    public Sprite FullHearth;
    public HorizontalLayoutGroup OutlinesGroup;
    public HorizontalLayoutGroup HearthsGroup;

    private HealthManager HealthManager;
    private List<Image> Images;

    int lastHpCount = -1;
    void Start()
    {
        HealthManager = GameObject.FindGameObjectWithTag("Player").GetComponent<HealthManager>();
        Images = new List<Image>();

        for (int i = 0; i < transform.childCount; i++)
        {
            Images.Add(transform.GetChild(i).GetComponent<Image>());
        }

        Update();

        lastHpCount = HealthManager.hp;
    }

    void Update()
    {
        if (lastHpCount == HealthManager.hp) return;

        float count = Mathf.Clamp((float)(HealthManager.hp) / 2, 0, HealthManager.maxHp / 2);


        for (int i = 0; i < Mathf.FloorToInt(count); i++)
        {

            Images[i].sprite = FullHearth;
        }

        int halfSizeIndex = (int)Mathf.Floor(count);

        if (count - halfSizeIndex > 0.1)
        {
            Images[halfSizeIndex].sprite = HalfHearth;
        }

        float maxHp = (float)(HealthManager.maxHp) / 2;

        for (int i = (int)Mathf.Ceil(count); i < (int)maxHp; i++)
        {
            Images[i].sprite = EmptyHearth;
        }

        lastHpCount = HealthManager.hp;
    }
}
